Introducing OpenTelemetry for Chargebee SDKs — trace every API call in any telemetry tool.
Chargebeechargebee API

List omnichannel subscriptions

Returns a list of omnichannel_subscription objects. Filter by Chargebee id, store-native id_at_source, customer_id, source, purchase/update timestamps, or nested item attributes.

Apple App Store: Filter id_at_source with the original purchase Transaction ID.

Google Play Store: Filter id_at_source with the subscription purchase token. Google may issue a new token after certain subscription changes; Chargebee updates id_at_source to the latest token, so use the current token when filtering.

Sample Request

Sample Result[JSON]

URL Format

GET https://[site].chargebee.com/api/v2/omnichannel_subscriptions

Input Parameters

limit
optional, integer, default=10, min=1, max=100

The number of resources to be returned.

offset
optional, string, max chars=1000

Determines your position in the list for pagination. To ensure that the next page is retrieved correctly, always set offset to the value of next_offset obtained in the previous iteration of the API call.

sort_by[<sort-order>]
optional, object

optional, string filter

Sorts based on the specified attribute. Supported attributes : created_at, updated_at

Supported sort-orders : asc, desc

Example → sort_by[asc] = "created_at"

This will sort the result based on the 'created_at' attribute in ascending(earliest first) order.

Filter Params

For operator usages, see the Pagination and Filtering section.
source[<operator>]

optional, enumerated string filter

To filter based on OmnichannelOneTimeOrder Source. Possible values are : apple_app_store, google_play_store.

Supported operators : is, is_not, in, not_in

Example → source[is_not] = "apple_app_store"

Supported operators: is, is_not, in, not_in
Example apple_app_store
customer_id[<operator>]

optional, string filter

Chargebee Customer External Identifier.

Supported operators : is, is_not, starts_with, in, not_in

Example → customer_id[is] = "8gsnbYfsMLds"

Supported operators: is, is_not, starts_with, in, not_in
Example 8gsnbYfsMLds
id[<operator>]

optional, string filter

A unique and immutable identifier for the omnichannel subscription.

Supported operators : is, is_not, starts_with, in, not_in

Example → id[is] = "os_1mG9tGuVIecbkzR"

Supported operators: is, is_not, starts_with, in, not_in
Example os_1mLYRDcVIHV1nd3
id_at_source[<operator>]

optional, string filter

The identifier of the subscription in the source.

Apple App Store: The original purchase Transaction ID.

Google Play Store: The subscription purchase token. Google may issue a new token after certain subscription changes; Chargebee updates id_at_source to the latest token.

Supported operators : is, is_not, starts_with, in, not_in

Example → id_at_source[is] = "2000000123456789"

Supported operators: is, is_not, starts_with, in, not_in
Example 2000001162945130
updated_at[<operator>]

optional, timestamp(UTC) in seconds filter

Timestamp (UTC) indicating when the subscription was last updated.

Supported operators : after, before, on, between

Example → updated_at[after] = "1777902633"

Supported operators: before, between, after, on
Example 1777556762
purchased_at[<operator>]

optional, timestamp(UTC) in seconds filter

Timestamp (UTC) when the subscription was originally purchased in the respective marketplace (initial purchase).

Supported operators : after, before, on, between

Example → purchased_at[after] = "1777559357"

Supported operators: before, between, after, on
Example 1777556271
omnichannel_subscription_item

Parameters for omnichannel_subscription_item

pass parameters as omnichannel_subscription_item[<param name>][<operator>]

Returns

next_offset
optional, string, max chars=1000

This attribute is returned only if more resources are present. To fetch the next set of resources use this value for the input parameter offset.

Omnichannel subscription object

Resource object representing Omnichannel subscription